#!/usr/bin/perl

print "\n";

if(scalar(@ARGV) < 2)
{
 print <<EOF;
Make Book Script
by Jonah Cohen <http://jonah.ticalc.org>

Usage: $0 source_dir dest_dir

EOF
  exit(0);
}

mkdir $ARGV[1],oct(755);

open(TOP, "$ARGV[0]/top.tex") || die("Can't open $ARGV[0]/top.tex\n");
while(<TOP>)
{
  $lang = lc $1 if /([\w+#]+) Version/;
  push @files,$1 if /^[^%]*\\include\{([^\}]+)\}/;
}
close(TOP);

foreach (@files)
{
  system("perl parse.pl $_ $ARGV[0]") if /(ch|ap)/;
}

foreach (@files)
{
  print "\n";
  system("perl ltoh.pl $_ $ARGV[0] $ARGV[1]");
  system("perl syntax.pl $lang $ARGV[1]/$_.htm") if /(ch|ap)/;
}

print "\n";
system("perl index.pl $ARGV[0] $ARGV[1]");
system("perl toc.pl $ARGV[0] $ARGV[1]");
print "\n";

system("rm .*_lst");
